services:
  minio:
    image: minio/minio:latest
    ports:
      - "9000:9000"
      - "8900:8900"
    environment:
      MINIO_ROOT_USER: minioadmin
      MINIO_ROOT_PASSWORD: minioadmin
    volumes:
      - ./storage-minio:/data/minio
    command: minio server /data/minio --console-address ":8900"
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:9000/minio/health/live"]
      timeout: 5s
      retries: 3
    restart: always
    networks:
      - app-network
